fn main() {
    let mut input1 = String::new();
    println!("1個目の文字列を入力してください。");
    std::io::stdin().read_line(&mut input1).unwrap();
    if input1.trim_end().is_empty() {
        panic!("1個目の文字列が空です。");
    }
    
    let mut input2 = String::new();
    println!("2個目の文字列を入力してください。");
    std::io::stdin().read_line(&mut input2).unwrap();
    if input2.trim_end().is_empty() {
        panic!("2個目の文字列が空です。");
    }

    println!("{} {}", input1.trim_end(), input2.trim_end());
}